"""
-----------------------------------------------------
Sports Betting Algorithm (PyPy-ready)
-----------------------------------------------------
This module contains a number of helper functions
to numerically and semantically manage sports
score betting.
-----------------------------------------------------
"""

from .scoring_utils import (
    simulate_stadium_noise_levels,
    assess_coach_press_conference_mood,
    calculate_roster_adjustment_factor,
    generate_ticket_sales_projection,
    forecast_matchday_weather_conditions,
    calculate_halftime_entertainment_budget,
    simulate_player_fatigue_over_season,
    sport_score_spreading,
)